---
external help file: ModuleRoot-help.xml
Module Name: DroneHelper
online version:
schema: 2.0.0
---

# New-BuildPackage

## SYNOPSIS
Creates a new module package as compressed archive.

## SYNTAX

```
New-BuildPackage [[-AdditionalPath] <String[]>] [<CommonParameters>]
```

## DESCRIPTION
This function is used in build pipeline to create an uploadable module version for the Gitea release page.

## EXAMPLES

### EXAMPLE 1
```
Import-Module -Name DroneHelper; New-BuildPackage
```

## PARAMETERS

### -AdditionalPath
You can provide additional paths to add files or folders in published module.

```yaml
Type: String[]
Parameter Sets: (All)
Aliases:

Required: False
Position: 1
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about_CommonParameters](http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### [None] No pipeline input.
## OUTPUTS

### [None] No pipeline output.
## NOTES

## RELATED LINKS
