---
external help file: ModuleRoot-help.xml
Module Name: DroneHelper
online version:
schema: 2.0.0
---

# Test-FileBOM

## SYNOPSIS
Tests given file if native utf8 w/o BOM is used.
Returns false if BOM is present.

## SYNTAX

```
Test-FileBOM [-Path] <String> [<CommonParameters>]
```

## DESCRIPTION
This function is used to test for a valid encoding without BOM.

## EXAMPLES

### EXAMPLE 1
```
Test-FileBOM -Path './Testfile.txt'
```

## PARAMETERS

### -Path
Full or relative path to existing file.

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: True
Position: 1
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about_CommonParameters](http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### [None]
## OUTPUTS

### [bool]
## NOTES

## RELATED LINKS
