---
external help file: ModuleRoot-help.xml
Module Name: DroneHelper
online version:
schema: 2.0.0
---

# Test-FileEOL

## SYNOPSIS
Returns false if EOL isn't CRLF

## SYNTAX

```
Test-FileEOL [-Path] <String> [<CommonParameters>]
```

## DESCRIPTION
Tests given file against valid EOL.
Returns true if CRLF is used.

## EXAMPLES

### EXAMPLE 1
```
Test-FileEOL -Path './TestFile.txt'
```

## PARAMETERS

### -Path
Relative or full path to an existing file.

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: True
Position: 1
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about_CommonParameters](http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### [None]
## OUTPUTS

### [bool]
## NOTES

## RELATED LINKS
