---
external help file: ModuleRoot-help.xml
Module Name: DroneHelper
online version:
schema: 2.0.0
---

# Test-FileTab

## SYNOPSIS
Returns false if tab char is used in file.

## SYNTAX

```
Test-FileTab [-Path] <String> [<CommonParameters>]
```

## DESCRIPTION
Test the given file if tabs are used.
Returns false if any tabs were found.

## EXAMPLES

### EXAMPLE 1
```
Test-FileTab -Path './testfile.txt'
```

## PARAMETERS

### -Path
elative or full path to an existing file.

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: True
Position: 1
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about_CommonParameters](http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### [none]
## OUTPUTS

### [bool]
## NOTES

## RELATED LINKS
