---
external help file: ModuleRoot-help.xml
Module Name: DroneHelper
online version:
schema: 2.0.0
---

# Write-ResultFile

## SYNOPSIS
Writes the current pipeline step into failure log.

## SYNTAX

```
Write-ResultFile [-InputObject] <PSObject> [-Path] <String> [-Type] <String> [<CommonParameters>]
```

## DESCRIPTION
This Cmdlet is used to mark single steps as failed without stopping the complete pipeline.

## EXAMPLES

### EXAMPLE 1
```
Write-FailureStateFile
```

## PARAMETERS

### -InputObject
{{ Fill InputObject Description }}

```yaml
Type: PSObject
Parameter Sets: (All)
Aliases:

Required: True
Position: 1
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Path
{{ Fill Path Description }}

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: True
Position: 2
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Type
{{ Fill Type Description }}

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: True
Position: 3
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about_CommonParameters](http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### [None] No pipeline input.
## OUTPUTS

### [None] No pipeline output.
## NOTES

## RELATED LINKS
