---
external help file: ModuleRoot-help.xml
Module Name: DroneHelper
online version:
schema: 2.0.0
---

# Get-RepoPath

## SYNOPSIS
Updates the module manifest file fields to prepare the new build.

## SYNTAX

```
Get-RepoPath [[-SubPath] <String[]>] [<CommonParameters>]
```

## DESCRIPTION
Replaces the version fields in the manifest file.
Uses Drone env vars populated by pushed tags.

## EXAMPLES

### EXAMPLE 1
```
Import-Module -Name DroneHelper; Get-RepoPath
```

## PARAMETERS

### -SubPath
An optional string array of sub directories relative to the root.

```yaml
Type: String[]
Parameter Sets: (All)
Aliases:

Required: False
Position: 1
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about_CommonParameters](http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### [None] No pipeline input.
## OUTPUTS

### [DroneHelper.Repo.Path] Returns a folder structured like object with relevant full paths.s
## NOTES

## RELATED LINKS
