---
external help file: ModuleRoot-help.xml
Module Name: DroneHelper
online version:
schema: 2.0.0
---

# Invoke-InstallDependency

## SYNOPSIS
Install required modules for executing the DroneHelper pipeline helpers.

## SYNTAX

```
Invoke-InstallDependency [<CommonParameters>]
```

## DESCRIPTION
This can be used in drone.io docker pipeline if the modules are not integrated in the build image.

## EXAMPLES

### EXAMPLE 1
```
Import-Module -Name DroneHelper; Invoke-Install-Dependency
```

## PARAMETERS

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about_CommonParameters](http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### [None] No Input required.
## OUTPUTS

### [None] No Output
## NOTES

## RELATED LINKS
